Skip to navigation

Retry a failed task (alias)

View as Markdown

Exact alias of POST /v1/tasks/{task_id}/retry.

Authentication

AuthorizationBearer

Mindrift API key (sk_…). Create scoped keys in console → API Keys.

Path parameters

task_idstringRequiredformat: "uuid"

Response

Re-queued task object.

objectstring
idstringformat: "uuid"
statusenum
Allowed values:
modelstring
costdouble or null
USD billed. Only set when completed.
outputobject or null
errorobject or null
created_atdatetime
completed_atdatetime or null
expires_atdatetime or nullOptional

When the hosted files expire (null = kept indefinitely).

purgedbooleanOptional

True when the hosted files were deleted (manually or by expiry). output.images is then empty.

purged_atdatetime or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error